Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Logitech G15 keyboard daemon
Name:      	g15daemon
Version:   	1.9.5.3
Release:   	1
Provides:  	g15daemon
License : 	GPL
url:		http://sourceforge.net/projects/g15daemon	
Group:     	System/Configuration/Hardware  
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libg15-devel
BuildRequires:  libg15render-devel
BuildRequires:  libusb-devel
BuildRequires:  libdaemon-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
G15daemon for linux provides support for the G15 keyboard. Multiple LCD clients are supported by offering a 'virtual' lcd buffer to any application or library, and all keys are usable. Users flip through connected screens with a press of a button

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_sbindir
%_libdir/*.so*
%_libdir/g15daemon/
%_datadir/g15daemon/
%_datadir/doc/
%_mandir/

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.5.3-1
- version update
* Tue Aug 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Initial Release
